
TYPO3.Flow - Bug # 34293

Status: Resolved Priority: Should have
Author: Johannes K Category: Session
Created: 2012-02-26 Assigned To: Johannes K
Updated: 2012-02-27 Due date:
PHP Version:
Has patch: No
Complexity:
Affected Flow version: Git 1.0
Subject: Typo in TYPO3\FLOW3\Session\Aspect\SessionObjectMethodsPointcutFilter::matches()
Description

l.74: __desctruct should read __destruct
1if (preg_match('
/^__wakeup|__construct|__desctruct|__sleep|__serialize|__unserialize|__clone|shutdownObject|initializeObject|inject.*$/', 
$methodName) !== 0) {2returnFALSE;3}

Associated revisions
Revision 5c5934c3 - 2012-02-26 21:06 - Johannes K

[BUGFIX] Now filters correctly for '__destruct' in pointcut filter

The filter for proxyable methods in SessionObjectMethodsPointcutFilter skips
the method '__desctruct' instead of '__destruct'

Change-Id: I5c15137316884919873ddb8ccfdde83162cfdb52
Fixes: #34293
Releases: 1.0, 1.1

Revision 55150fe5 - 2012-02-26 21:11 - Johannes K

[BUGFIX] Now filters correctly for '__destruct' in pointcut filter

The filter for proxyable methods in SessionObjectMethodsPointcutFilter skips
the method '__desctruct' instead of '__destruct'

Change-Id: I87eea7628d6b47a8dc0a2d57df4c341a701e0697
Fixes: #34293
Releases: 1.0, 1.1

History
#1 - 2012-02-26 18:11 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 2 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/9220
#2 - 2012-02-26 21:07 - Gerrit Code Review

Patch set 3 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/9220

#3 - 2012-02-26 21:14 - Gerrit Code Review

Patch set 1 for branch FLOW3-1.0 has been pushed to the review server.
It is available at http://review.typo3.org/9222

#4 - 2012-02-26 21:18 - Karsten Dambekalns
- Target version set to 1.0.4
- Affected Flow version changed from Git master to Git 1.0

#5 - 2012-02-27 02:55 - Johannes K
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:55150fe526b60d0200b6afd40731b8c36cef1bc4.
